<%@ page language="java" errorPage="error.jsp" contentType="text/html;charset=UTF-8"%>
<html>
<head><title>Personalization Demo </title></head>
<body bgcolor="#FFFFFF">
<h2>Personalization Demo- Setup Page </h2>
<p><B>Please enter RE attributes appropriate for your Oracle Personalization installation</B></p>
<% 
   String REName =request.getParameter("REName");
   if (REName==null) {
     REName="RE";  // default RE name
   }
   String REURL=request.getParameter("REURL");
   if (REURL==null) {
     REURL="jdbc:oracle:thin:@localhost:1521:orcl";  // default connection str
   }
   String RESchema=request.getParameter("RESchema");
   if (RESchema==null) {
     RESchema="RE";  // default RE schema
   }
   String REPassword=request.getParameter("REPassword");
   if (REPassword==null) {
     REPassword="REPW";  // default RE password
   }
   String RECacheSize=request.getParameter("RECacheSize");
   if (RECacheSize==null) {
     RECacheSize="3242"; 
   }
   String REFlushInterval=request.getParameter("REFlushInterval");
   if (REFlushInterval==null) {
     REFlushInterval="150000";  // 
   }
   String userType=request.getParameter("userType");
   if (userType==null) {
     userType="customer";  // default user type in this demo
   }
   String userID=request.getParameter("userID");
   if( userID == null ) userID = "";

   String sess=request.getParameter("sess");
   if (sess==null) {
     sess="true";  // default session=true
   }
   String disable=request.getParameter("disable");
   if (disable==null) {
     disable="false";
   }
%>
<FORM METHOD=get>
<table>
<tr><td><p><LABEL>REName* <INPUT TYPE="text" NAME="REName" SIZE=20 value="<%=REName%>" > </LABEL> </p></td>
<td><b>*</b> required field </td></tr>
<tr><td><p><LABEL>REURL <INPUT TYPE="text" NAME="REURL" SIZE=40 value="<%=REURL%>" > </LABEL></p></td></tr>
<tr><td><p><LABEL>RESchema <INPUT TYPE="text" NAME="RESchema" SIZE=20 value="<%=RESchema%>" > </LABEL></p></td></tr>
<tr><td><p><LABEL>REPassword <INPUT TYPE="password" NAME="REPassword" SIZE=20 value="<%=REPassword%>" > </LABEL></p></td></tr>
<tr><td><p><LABEL>RECacheSize <INPUT TYPE="text" NAME="RECacheSize" SIZE=5 value="<%=RECacheSize%>" ></LABEL> </p></td>
<td><INPUT TYPE="submit" VALUE="Start RE session" > </td></tr>
<tr><td><p><LABEL>REFlushInterval <INPUT TYPE="text" NAME="REFlushInterval" SIZE=10 value="<%=REFlushInterval%>" > </LABEL></p></td></tr>
<tr><td><p><LABEL>userType <select name="userType">
<option value="customer">customer</option>
<option value="visitor">visitor</option>
</select></LABEL></p></td></tr>
<tr><td><p><LABEL>userID <INPUT TYPE="text" NAME="userID" SIZE=32 value="<%=userID%>" > </LABEL></p></td></tr>
<tr><td><p><LABEL>session  <select name="sess">
<option value="true">true</option>
<option value="false">false</option>
</select></LABEL></p></td></tr>
<tr><td><p><LABEL>disable  <select name="disable">
<option value="false"><b>false</b></option>
<option value="true">true</option>
</select></LABEL></p></td></tr>
</table>
</FORM>


</body>
</html>

